<div id="sidenav-overlay" onclick="close_sidenaveBar_mobile()"></div>
<ng-container>
  <!--Seller Header Start-->

  <!-- <app-header *ngIf="group_id != 1">
  </app-header> -->

  <!--Seller Header End-->

  <ngx-spinner bdColor="rgba(0, 0, 0, 0.8)" size="default" color="#fff" type="ball-clip-rotate-multiple"
    [fullScreen]="true">
    <p style="color: white">Loading...</p>
  </ngx-spinner>

  <header class="main_menu home_menu" *ngIf="group_id != 1 && hideMenu == false">
    <div class="container" *ngIf="hideMenu == false && hideMenu == false">
      <div class="row align-items-center">
        <div class="col-lg-12 col-xl-12">
          <div class="mobile_header">
            <nav class="navbar navbar-inverse">
              <div class="container-fluid">
                <div class="navbar-header" style="width: 100%;">
                  <div class="row">
                    <div class="col-xs-5">
                      <a class="navbar-brand" (click)="clickOnLogo()" style="cursor:pointer;margin-right: 0;"> <img
                          src="/assets/img/logo.svg" alt="logo">
                      </a>
                    </div>
                    <div class="col-xs-7 text-right">
                      <div>
                        <button class="search-toggle"> 
                          <i class="fa fa-search"></i>
                        </button>
                        <div class="search-bar">
                          <form>
                            <!-- <label for="searchQuery">
                                <i class="fa fa-search fa-fw"></i>
                              </label> -->
                            <!-- <input type="search" id="searchQuery" name="searchQuery" placeholder="Search here" /> -->
                            <a class="header_searchbar" id="searchQuery">
                              <kendo-autocomplete [data]="autoCompListItem" [value]="searchString.search_keyword"
                                [valueField]="'search_keyword'" [filterable]="true"
                                (filterChange)="handleSearchTypeFilter($event)" class="form-control"
                                [placeholder]="'Find a service : eg. Logo Design'" (click)="enterClick($event)"
                                name="autoSearchType">
                                <ng-template kendoAutoCompleteItemTemplate let-dataItem>
                                  <div style="font-size: 15px; width: 100%; color: #00F; padding: 3px;"
                                    (click)="onSpanSearchTypeSelected(dataItem)">{{
                                    dataItem.search_keyword }}
                                  </div>
                                </ng-template>
                              </kendo-autocomplete>
                              <div class="input-group-prepend">
                                <a class="input-group-text"
                                  style="cursor: pointer;border-top-right-radius: 0px !important;border-bottom-right-radius: 0px !important;padding: 0 10px !important;border-radius: 0; background-color: #19b5fe; border: 1px solid #19b5fe;"
                                  (click)="onSearchClick()"><i class="fa fa-search" style="color: #fff;"></i> </a>
                              </div>
                            </a>
                          </form>
                        </div>
                        <!-- ------------------------------------------------------- -->
                        <!-- -------------------------After Login Inbox & Notification Start------------------------------ -->

                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar0"  *ngIf="after_login==true">
                          <span class="fa fa-envelope"></span>
                        </button>
                        <div class="collapse navbar-collapse message_dropdown" id="myNavbar0" style="padding: 0px 0px;border: 0px solid #e8f5f8;">
                          <nav style="background: #19b5fe;">
                            <div class="nav nav-tabs nav-fill" role="tablist">
                              <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home"
                                role="tab" aria-controls="nav-home" aria-selected="true"><i
                                  class="fa fa-envelope"></i>
                                Inbox</a>
                            </div>
                          </nav>
                          <div class="tab-content py-3 px-3 px-sm-0" id="nav-tabContent" style="border-bottom: 0px solid #19b5fe;">
                            <div class="tab-pane fade show active" id="nav-home" role="tabpanel"
                              aria-labelledby="nav-home-tab">
                              <div class="row margin_0" style="margin-left: 0px !important;margin-right: 0px !important;">
                                <div class="col-md-2 col-xs-2 pd_0">
                                  <div class="notification_circle">
                                    <i class="fa fa-user"></i>
                                  </div>
                                </div>
                                <div class="col-md-9 col-xs-9 pd_0">
                                  <p class="notification_content">
                                    Your profile image was removed since it might not be original. <strong>Learn
                                      more</strong>
                                  </p>
                                  <p class="item-meta">
                                    1 week
                                  </p>
                                </div>
                                <div class="col-md-1 col-xs-1 text-right pd_0">
                                  <div class="notification_read_icon">
                                    <i class="fa fa-envelope"></i>
                                  </div>
                                </div>
                              </div>

                              <hr style="margin-top: 0px;" />
                              <div class="row margin_0" style="margin-left: 0px !important;margin-right: 0px !important;">
                                <div class="col-md-2 col-xs-2 pd_0">
                                  <div class="notification_circle">
                                    <i class="fa fa-user"></i>
                                  </div>
                                </div>
                                <div class="col-md-9 col-xs-9 pd_0">
                                  <p class="notification_content">
                                    Your profile image was removed since it might not be original. <strong>Learn
                                      more</strong>
                                  </p>
                                  <p class="item-meta">
                                    1 week
                                  </p>
                                </div>
                                <div class="col-md-1 col-xs-1 text-right pd_0">
                                  <div class="notification_read_icon">
                                    <i class="fa fa-envelope"></i>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>

                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar11"  *ngIf="after_login==true">
                          <span class="fa fa-bell"></span>
                        </button>
                        <div class="collapse navbar-collapse message_dropdown" id="myNavbar11" style="padding: 0px 0px;border: 0px solid #e8f5f8;">
                          <nav style="background: #19b5fe;">
                            <div class="nav nav-tabs nav-fill" role="tablist">
                              <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home"
                                role="tab" aria-controls="nav-home" aria-selected="true"><i
                                  class="fa fa-envelope"></i>
                                Notification</a>
                            </div>
                          </nav>
                          <div class="tab-content py-3 px-3 px-sm-0" id="nav-tabContent" style="border-bottom: 0px solid #19b5fe;">
                            <div class="tab-pane fade show active" id="nav-home" role="tabpanel"
                              aria-labelledby="nav-home-tab">
                              <div class="row margin_0" style="margin-left: 0px !important;margin-right: 0px !important;">
                                <div class="col-md-2 col-xs-2 pd_0">
                                  <div class="notification_circle">
                                    <i class="fa fa-user"></i>
                                  </div>
                                </div>
                                <div class="col-md-9 col-xs-9 pd_0">
                                  <p class="notification_content">
                                    Your profile image was removed since it might not be original. <strong>Learn
                                      more</strong>
                                  </p>
                                  <p class="item-meta">
                                    1 week
                                  </p>
                                </div>
                                <div class="col-md-1 col-xs-1 text-right pd_0">
                                  <div class="notification_read_icon">
                                    <i class="fa fa-envelope"></i>
                                  </div>
                                </div>
                              </div>

                              <hr style="margin-top: 0px;" />
                              <div class="row margin_0" style="margin-left: 0px !important;margin-right: 0px !important;">
                                <div class="col-md-2 col-xs-2 pd_0">
                                  <div class="notification_circle">
                                    <i class="fa fa-user"></i>
                                  </div>
                                </div>
                                <div class="col-md-9 col-xs-9 pd_0">
                                  <p class="notification_content">
                                    Your profile image was removed since it might not be original. <strong>Learn
                                      more</strong>
                                  </p>
                                  <p class="item-meta">
                                    1 week
                                  </p>
                                </div>
                                <div class="col-md-1 col-xs-1 text-right pd_0">
                                  <div class="notification_read_icon">
                                    <i class="fa fa-envelope"></i>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>

                        



                        <!-- -------------------------After Login Inbox & Notification End------------------------------ -->
                        <!-- --------------------------------------------------------- -->
                        <button style="font-size:24px;cursor:pointer;color: #000;" onclick="openNav_mobile()">
                          <span class="fa fa-bars"></span>
                        </button>
                        <div id="mySidenav_mobile" class="sidenav_mobile">
                          <!-- <a href="javascript:void(0)" class="closebtn" onclick="closeNav_mobile()">&times;</a> -->
                          <a class="myProfile_css ONclickClose" (click)="onUserMenuClick('my_profile')"
                            *ngIf="after_login==true">
                            <div class="myProfile_circle">
                              <h3>{{userName[0].toUpperCase()}}</h3>
                            </div>
                            <div class="Profile_person_name_div">
                              <p class="Welcome_text">Welcome,</p>
                              <h3 class="Person_name">{{userName}}</h3>
                            </div>
                            <i class="fa fa-chevron-right myProfile_arrow"></i>
                          </a>
                          <!-- -----------------------------------Buyer Menu Start---------------------------------- -->
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==2"
                            (click)="onUserMenuClick('my_dashboard')">Dashboard</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==2"
                             (click)="onUserMenuClick('post_a_request')">Post a Request</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==2"
                            (click)="onUserMenuClick('orders')">Orders</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==2"
                            (click)="onUserMenuClick('favorite')">Favorites</a>
                          <hr class="hr_1" *ngIf="after_login==true && group_id==2"/>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==2"
                            (click)="onUserMenuClick('my_profile')">My Profile</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==2"
                            [routerLink]="'/manage_request'">Manage Request</a>
                          <a class="ONclickClose"
                            *ngIf="after_login==true && group_id==2 && userAuthInfo.currentUser.user.is_seller==true"
                            id="sitch_2_buying_selling" (click)="switch_selling_buying()">{{group_id==2?'Switch to
                            Selling':'Switch to
                            Buying'}}</a>
                          <a class="ONclickClose"
                            *ngIf="after_login==true && group_id==2 && userAuthInfo.currentUser.user.is_seller!=true"
                            id="sitch_2_buying_selling" (click)="onUserMenuClick('become_a_seller')">Become a Seller</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==2"
                            [routerLink]="'/settings'">Settings</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==2"
                            (click)="onUserMenuClick('log_out')">Log Out</a>
                          <!-- -----------------------------------Buyer Menu End------------------------------------ -->
                          <!-- -----------------------------------Seller Menu Start---------------------------------- -->
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==3"
                            (click)="onUserMenuClick('my_dashboard')">Dashboard</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==3"
                            (click)="onUserMenuClick('post_a_request')">Post a Request</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==3"
                            (click)="onUserMenuClick('orders')">Orders Received</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==3"
                            (click)="onUserMenuClick('buyer_request')">Buyer Requests</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==3"
                            (click)="onUserMenuClick('gig_list')">Gigs</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==3"
                            (click)="onUserMenuClick('earnings')">Earnings</a>
                          <!-- <a class="ONclickClose" *ngIf="after_login==true && group_id==3" [routerLink]="'/post_a_request'">Analytics</a> -->
                          <hr class="hr_2" *ngIf="after_login==true && group_id==3"/>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==3"
                            (click)="onUserMenuClick('my_profile')">My Profile</a>
                          <a class="ONclickClose"
                            *ngIf="after_login==true && group_id==3 && userAuthInfo.currentUser.user.is_seller==true"
                            id="sitch_2_buying_selling" (click)="switch_selling_buying()">{{group_id==2?'Switch to
                            Selling':'Switch to
                            Buying'}}</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==3"
                            [routerLink]="'/settings'">Settings</a>
                          <a class="ONclickClose" *ngIf="after_login==true && group_id==3"
                            (click)="onUserMenuClick('log_out')">Log Out</a>
                          <!-- -----------------------------------Seller Menu End------------------------------------ -->
                          <!-- -----------------------------------Without Login start------------------------------------ -->
                          <a class="dropdown-toggle" data-toggle="dropdown" href="#" *ngIf="after_login==false" style="margin-top:15px;">Category
                            <span class="caret"></span></a>
                          <ul class="dropdown-menu category_dropdown_mobile" role="menu"
                            style="position: relative;top: 0px;width: 100%;" *ngIf="after_login==false">
                            <ng-container *ngFor="let item of categoryList, let i =index">
                              <li class="nav-item dropdown">
                                <a href="javascript:void(0)" id="navbarDropdown" aria-expanded="false"
                                  (click)="onCategory_barClick(item.id)">{{item.category_name}}</a>
                                <!-- <div class="dropdown-menu two-columns-menu header_category"
                                aria-labelledby="navbarDropdown">
                                <ng-container *ngFor="let subCategory of item.sub_category, let j =index">
                                  <a class="dropdown-item" href="javascript:void(0)"
                                    (click)="onSubcategoryClick(subCategory.sub_category_name)">{{subCategory.sub_category_name}}</a>
                                </ng-container>
                              </div> -->
                              </li>
                            </ng-container>
                          </ul>
                          <a class="ONclickClose" [routerLink]="'/become_buyer'" *ngIf="after_login==false">Become a
                            Buyer</a>
                          <a class="ONclickClose" [routerLink]="'/become_seller'" *ngIf="after_login==false">Beceme a
                            Seller</a>
                          <hr class="hr_3" *ngIf="after_login==false"/>
                          <a href="#" class="ONclickClose" (click)="register_click()" data-toggle="modal"
                            data-target="#Register" *ngIf="after_login==false">Sign Up</a>
                          <a href="#" class="ONclickClose" (click)="signIN_click()" data-toggle="modal"
                            data-target="#SignIn" *ngIf="after_login==false">Log In</a>
                          <!-- -----------------------------------Without Login ENd------------------------------------ -->
                        </div>
                      </div>
                      <!-- ------------------------------------------------------- -->
                      <!-- <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
                        <span class="fa fa-bars"></span>                        
                      </button>
                      <div class="collapse navbar-collapse" id="myNavbar">
                        <ul class="nav navbar-nav navigation_list_dropdown_mobile">
                          
                          <li class="dropdown navigation_list_dropdown">
                            <a class="dropdown-toggle" data-toggle="dropdown" href="#">Category <span class="caret"></span></a>
                            <ul class="dropdown-menu category_dropdown_mobile"  role="menu">
                              <ng-container *ngFor="let item of categoryList, let i =index">
                                <li class="nav-item dropdown">
                                  <a href="javascript:void(0)" id="navbarDropdown" aria-expanded="false"
                                    (click)="onCategory_barClick(item.id)">{{item.category_name}}</a>
                                  <div class="dropdown-menu two-columns-menu header_category"
                                    aria-labelledby="navbarDropdown">
                                    <ng-container *ngFor="let subCategory of item.sub_category, let j =index">
                                      <a class="dropdown-item" href="javascript:void(0)"
                                        (click)="onSubcategoryClick(subCategory.sub_category_name)">{{subCategory.sub_category_name}}</a>
                                    </ng-container>
                                  </div>
                                </li>
                              </ng-container>
                            </ul>
                          </li>
                          <li class="navigation_list_dropdown"><a [routerLink]="'/become_buyer'">Become a Buyer</a></li>
                          <li class="navigation_list_dropdown"><a [routerLink]="'/become_seller'">Beceme a Seller</a></li>
                        </ul>
                        <ul class="nav navbar-nav navbar-right navigation_list_dropdown_mobile">
                          <li class="navigation_list_dropdown"><a href="#" (click)="register_click()" data-toggle="modal" data-target="#Register">Sign Up</a></li>
                          <li class="navigation_list_dropdown"><a href="#" (click)="signIN_click()" data-toggle="modal" data-target="#SignIn">Log In</a></li>
                        </ul>
                      </div> -->

                    </div>
                  </div>
                </div>
              </div>
            </nav>
          </div>
          <div class="desktop_header">
            <nav class="navbar navbar-expand-lg navbar-light">
              <div class="container header_part_container">
                <div class="row" style="width: 100%;margin: 0;max-width: 100%;display: contents;">
                  <div class="col-lg-5 col-md-5 nopadding_header mobile_resposive_div"
                    style="max-width: 42%; -ms-flex: 0 0 42%; flex: 0 0 42%;">
                    <div class="collapse navbar-collapse main-menu-item justify-content-end" id="navbarSupportedContent"
                      *ngIf="after_login==false && hideMenu == false" style="justify-content: flex-start !important;">
                      <ul class="navbar-nav">
                        <li class="nav-item header_dropdown message_dropdown">
                          <a href="#" data-toggle="dropdown" role="button" aria-expanded="false"
                            class="nav-link dropdown-toggle"
                            style="background-color: transparent;color: #494949;">Category</a>
                          <ul role="menu" class="dropdown-menu slideInDown header_category">
                            <div class="categories">
                              <ul>
                                <ng-container *ngFor="let item of categoryList, let i =index">
                                  <li class="nav-item dropdown">
                                    <a href="javascript:void(0)" id="navbarDropdown" aria-expanded="false"
                                      (click)="onCategory_barClick(item.id)">{{item.category_name}}</a>
                                    <div class="dropdown-menu two-columns-menu header_category"
                                      aria-labelledby="navbarDropdown">
                                      <ng-container *ngFor="let subCategory of item.sub_category, let j =index">
                                        <a class="dropdown-item" href="javascript:void(0)"
                                          (click)="onSubcategoryClick(subCategory.sub_category_name)">{{subCategory.sub_category_name}}</a>
                                      </ng-container>
                                    </div>
                                  </li>
                                </ng-container>
                              </ul>
                            </div>
                          </ul>
                        </li>
                        <li class="nav-item active">
                          <a class="nav-link" [routerLink]="'/become_buyer'"
                            style="background-color: transparent;color: #494949;">Become
                            a Buyer</a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" [routerLink]="'/become_seller'"
                            style="background-color: transparent;color: #494949;">Become a Seller</a>
                        </li>

                      </ul>
                    </div>
                    <div class="collapse navbar-collapse main-menu-item justify-content-end "
                      id="navbarSupportedContent" *ngIf="after_login==true"
                      style="justify-content: flex-start !important;">
                      <ul class="navbar-nav">
                        <li class="nav-item header_dropdown message_dropdown" *ngIf="group_id==2">
                          <a href="#" data-toggle="dropdown" role="button" aria-expanded="false"
                            class="nav-link dropdown-toggle"
                            style="background-color: transparent;color: #494949;">Category</a>
                          <ul role="menu" class="dropdown-menu slideInDown header_category">
                            <div class="categories">
                              <ul>
                                <ng-container *ngFor="let item of categoryList, let i =index">
                                  <li class="nav-item dropdown">
                                    <a href="javascript:void(0)" id="navbarDropdown" aria-expanded="false"
                                      (click)="onCategory_barClick(item.id)">{{item.category_name}}</a>
                                    <div class="dropdown-menu two-columns-menu header_category"
                                      aria-labelledby="navbarDropdown">
                                      <ng-container *ngFor="let subCategory of item.sub_category, let j =index">
                                        <a class="dropdown-item" href="javascript:void(0)"
                                          (click)="onSubcategoryClick(subCategory.sub_category_name)">{{subCategory.sub_category_name}}</a>
                                      </ng-container>
                                    </div>
                                  </li>
                                </ng-container>
                              </ul>
                            </div>
                          </ul>
                        </li>
                        <li class="nav-item" *ngIf="group_id==2">
                          <a class="nav-link" style="cursor: pointer;" (click)="onUserMenuClick('post_a_request')">Post a Request</a>
                        </li>
                        <li class="nav-item" *ngIf="group_id==2">
                          <form>
                            <a class="header_searchbar">
                              <kendo-autocomplete [data]="autoCompListItem" [value]="searchString.search_keyword"
                                style="height: 38px;border-radius: 0px !important;border-top-left-radius: 3px !important;border-bottom-left-radius: 3px !important; border-right: 0px;border: 1px solid #19b5fe;"
                                [valueField]="'search_keyword'" [filterable]="true"
                                (filterChange)="handleSearchTypeFilter($event)" class="form-control"
                                [placeholder]="'Find a service : eg. Logo Design'" (click)="enterClick($event)"
                                name="autoSearchType">
                                <ng-template kendoAutoCompleteItemTemplate let-dataItem>
                                  <div style="font-size: 15px; width: 100%; color: #00F; padding: 3px;"
                                    (click)="onSpanSearchTypeSelected(dataItem)">{{
                                    dataItem.search_keyword }}
                                  </div>
                                </ng-template>
                              </kendo-autocomplete>
                              <div class="input-group-prepend" style="height: 38px;">
                                <a class="input-group-text"
                                  style="cursor: pointer;border-top-right-radius: 3px !important;border-bottom-right-radius: 3px !important;border-right: 1px solid #ced4da;
                                border-left: 0px solid #ced4da;padding: 0 10px !important;border-radius: 0; background-color: #19b5fe;"
                                  (click)="onSearchClick()"><i class="fa fa-search" style="color: #fff;"></i> </a>
                              </div>
                            </a>
                          </form>
                        </li>
                        <li class="nav-item" *ngIf="group_id==3">
                          <a class="nav-link" href="javascript:void(0)" (click)="onUserMenuClick('orders')">Orders
                            Received</a>
                        </li>
                        <li class="nav-item" *ngIf="group_id==3">
                          <a class="nav-link" href="javascript:void(0)" (click)="onUserMenuClick('buyer_request')">Buyer
                            Requests</a>
                        </li>
                        <li class="nav-item" *ngIf="group_id==3">
                          <a class="nav-link" [routerLink]="'/gig_list'">Gigs</a>
                        </li>
                      </ul>
                    </div>
                  </div>
                  <div class="col-lg-2 col-md-2 text-center"
                    style="max-width: 16%;padding: 0;-ms-flex: 0 0 16%; flex: 0 0 16;">
                    <a class="navbar-brand" (click)="clickOnLogo()" style="cursor:pointer;margin-right: 0;"> <img
                        src="/assets/img/logo.svg" alt="logo">
                    </a>
                  </div>
                  <div class="col-lg-5 col-md-5 nopadding_header"
                    style="max-width: 42%;-ms-flex: 0 0 42%; flex: 0 0 42%;">
                    <div class="collapse navbar-collapse main-menu-item justify-content-end" id="navbarSupportedContent"
                      *ngIf="after_login==false && hideMenu == false" style="justify-content: flex-end !important;">
                      <ul class="navbar-nav">
                        <li class="nav-item">
                          <a class="nav-link" href="#" (click)="register_click()" data-toggle="modal"
                            data-target="#Register" style="background-color: transparent;color: #494949;">Sign Up</a>
                        </li>
                        <li class="nav-item">
                          <a class="nav-link" href="#" (click)="signIN_click()" data-toggle="modal"
                            data-target="#SignIn" style="background-color: transparent;color: #494949;">Log In</a>
                        </li>
                      </ul>
                    </div>
                    <div class="collapse navbar-collapse main-menu-item justify-content-end "
                      id="navbarSupportedContent" *ngIf="after_login==true">
                      <ul class="navbar-nav">
                        <li class="nav-item" *ngIf="group_id!=1" style="cursor: pointer;">
                          <a class="nav-link" (click)="onUserMenuClick('my_dashboard')">Dashboard</a>
                        </li>
                        <li class="nav-item" *ngIf="group_id==2">
                          <a class="nav-link" href="javascript:void(0)" (click)="onUserMenuClick('orders')">Orders</a>
                        </li>
                        <li class="nav-item" *ngIf="group_id==2">
                          <a class="nav-link" [routerLink]="'/favorite'">Favorites</a>
                        </li>
                        <li class="nav-item" *ngIf="group_id==3">
                          <a class="nav-link" [routerLink]="'/earnings'">Earnings</a>
                        </li>
                        <!-- <li class="nav-item" *ngIf="group_id==3">
                          <a class="nav-link" [routerLink]="'/analytics'">Analytics</a>
                        </li> -->
                        <li class="nav-item header_dropdown message_dropdown">
                          <a href="#" data-toggle="dropdown" role="button" aria-expanded="false"
                            class="nav-link dropdown-toggle">
                            <i class="fa fa-envelope" aria-hidden="true"></i>
                          </a>
                          <ul role="menu" class="dropdown-menu animated slideInDown Inbox_dropdown_style">
                            <nav>
                              <div class="nav nav-tabs nav-fill" role="tablist">
                                <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home"
                                  role="tab" aria-controls="nav-home" aria-selected="true"><i
                                    class="fa fa-envelope"></i>
                                  Inbox</a>
                              </div>
                            </nav>
                            <div class="tab-content py-3 px-3 px-sm-0" id="nav-tabContent">
                              <div class="tab-pane fade show active" id="nav-home" role="tabpanel"
                                aria-labelledby="nav-home-tab">
                                <div class="row margin_0">
                                  <div class="col-md-2 pd_0">
                                    <div class="notification_circle">
                                      <i class="fa fa-user"></i>
                                    </div>
                                  </div>
                                  <div class="col-md-9 pd_0">
                                    <p class="notification_content">
                                      Your profile image was removed since it might not be original. <strong>Learn
                                        more</strong>
                                    </p>
                                    <p class="item-meta">
                                      1 week
                                    </p>
                                  </div>
                                  <div class="col-md-1 text-right pd_0">
                                    <div class="notification_read_icon">
                                      <i class="fa fa-envelope"></i>
                                    </div>
                                  </div>
                                </div>

                                <hr style="margin-top: 0px;" />
                                <div class="row margin_0">
                                  <div class="col-md-2 pd_0">
                                    <div class="notification_circle">
                                      <i class="fa fa-user"></i>
                                    </div>
                                  </div>
                                  <div class="col-md-9 pd_0">
                                    <p class="notification_content">
                                      Your profile image was removed since it might not be original. <strong>Learn
                                        more</strong>
                                    </p>
                                    <p class="item-meta">
                                      1 week
                                    </p>
                                  </div>
                                  <div class="col-md-1 text-right pd_0">
                                    <div class="notification_read_icon">
                                      <i class="fa fa-envelope"></i>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </ul>
                        </li>
                        <li class="nav-item header_dropdown message_dropdown">
                          <a href="#" data-toggle="dropdown" role="button" aria-expanded="false"
                            class="nav-link dropdown-toggle">
                            <i class="fa fa-bell" aria-hidden="true"></i>
                          </a>
                          <ul role="menu" class="dropdown-menu animated slideInDown Notification_dropdown_style">
                            <nav>
                              <div class="nav nav-tabs nav-fill" role="tablist">
                                <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home"
                                  role="tab" aria-controls="nav-home" aria-selected="true"><i
                                    class="fa fa-envelope"></i>
                                  Notification</a>
                              </div>
                            </nav>
                            <div class="tab-content py-3 px-3 px-sm-0" id="nav-tabContent">
                              <div class="tab-pane fade show active" id="nav-home" role="tabpanel"
                                aria-labelledby="nav-home-tab">
                                <div class="row margin_0">
                                  <div class="col-md-2 pd_0">
                                    <div class="notification_circle">
                                      <i class="fa fa-user"></i>
                                    </div>
                                  </div>
                                  <div class="col-md-9 pd_0">
                                    <p class="notification_content">
                                      Your profile image was removed since it might not be original. <strong>Learn
                                        more</strong>
                                    </p>
                                    <p class="item-meta">
                                      1 week
                                    </p>
                                  </div>
                                  <div class="col-md-1 text-right pd_0">
                                    <div class="notification_read_icon">
                                      <i class="fa fa-envelope"></i>
                                    </div>
                                  </div>
                                </div>

                                <hr style="margin-top: 0px;" />
                                <div class="row margin_0">
                                  <div class="col-md-2 pd_0">
                                    <div class="notification_circle">
                                      <i class="fa fa-user"></i>
                                    </div>
                                  </div>
                                  <div class="col-md-9 pd_0">
                                    <p class="notification_content">
                                      Your profile image was removed since it might not be original. <strong>Learn
                                        more</strong>
                                    </p>
                                    <p class="item-meta">
                                      1 week
                                    </p>
                                  </div>
                                  <div class="col-md-1 text-right pd_0">
                                    <div class="notification_read_icon">
                                      <i class="fa fa-envelope"></i>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </ul>
                        </li>
                        <li class="nav-item header_dropdown">
                          <a href="#" data-toggle="dropdown" role="button" aria-expanded="false"
                            class="nav-link dropdown-toggle custom_drop">
                            <figure style="font-size:32px" class="fit-avatar-figure fit-avatar-circle-shape"
                              *ngIf="userName!=''">
                              <figcaption class="">{{userName[0].toUpperCase()}}</figcaption><span
                                class="fit-avatar-image"></span>
                            </figure>
                          </a>
                          <ul role="menu" class="dropdown-menu animated slideInDown MyProfile_dropdown_style">
                            <li><a href="javascript:void(0)" class="dropdown_a_class"
                                (click)="onUserMenuClick('my_profile')"><span
                                  class="edu-icon edu-home-admin author-log-ic"></span>My Profile</a>
                            </li>
                            <li *ngIf="userAuthInfo.currentUser.user.is_seller!=true"><a href="javascript:void(0)"
                                class="dropdown_a_class" (click)="onUserMenuClick('become_a_seller')">Become a
                                Seller</a>
                            </li>
                            <li class="nav-item" *ngIf="group_id==2">
                              <a class="nav-link" [routerLink]="'/manage_request'"
                                style="padding: 7px 10px !important;">Manage Request</a>
                            </li>
                            <li *ngIf="userAuthInfo.currentUser.user.is_seller==true"><a href="javascript:void(0)"
                                class="dropdown_a_class" id="sitch_2_buying_selling"
                                (click)="switch_selling_buying()">{{group_id==2?'Switch to Selling':'Switch to
                                Buying'}}</a>
                            </li>
                            <li><a [routerLink]="'/help_and_support'" class="dropdown_a_class"><span
                                  class="edu-icon edu-settings author-log-ic"></span>Help & Support</a>
                            </li>
                            <li><a [routerLink]="'/settings'" class="dropdown_a_class"><span
                                  class="edu-icon edu-settings author-log-ic"></span>Settings</a>
                            </li>
                            <li><a href="javascript:void(0)" class="dropdown_a_class"
                                (click)="onUserMenuClick('log_out')"><span
                                  class="edu-icon edu-locked author-log-ic"></span>Log Out</a>
                            </li>
                          </ul>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
            </nav>
          </div>
        </div>
      </div>
    </div>
  </header>

  <router-outlet *ngIf="group_id != 1">
  </router-outlet>

  <!-- footer part start-->
  <section class="footer-area section_padding" *ngIf="group_id != 1 && hideMenu == false">
    <div class="container">
      <div class="row">
        <div class="col-xl-3 col-sm-3 mb-4 mb-xl-0 single-footer-widget text-center footer_image_mobile">
          <a href="/" class="footer-logo">
            <img src="/assets/img/logo_footer.svg" class="img-responsive mt-1" width="200" alt="TaskIT Logo">
          </a>
        </div>
        <div class="col-xl-3 col-sm-3 mb-4 mb-xl-0 single-footer-widget" style="padding-left: 20px;">
          <h4 style="width: 100%;">Company</h4>
          <ul>
            <!-- style="columns: 2;" -->
            <li><a [routerLink]="'/about'">About Us</a></li>
            <li><a [routerLink]="'/contact'">Contact Us</a></li>
          </ul>
        </div>
        <div class="col-xl-3 col-sm-3 mb-4 mb-xl-0 single-footer-widget" style="padding-left: 20px;">
          <h4 style="width: 100%;">More</h4>
          <ul>

            <li><a [routerLink]="'/privacy_policy'">Privacy Policy</a></li>
            <li><a [routerLink]="'/terms_and_conditions'">Terms & Conditions</a></li>
            <li><a [routerLink]="'/help_and_support'">Help & Support</a></li>
            <!-- <li><a href="trust_safety.html">Trust & Safety</a></li>
                    <li><a href="#">Selling on TaskIT</a></li>
                    <li><a href="#">Buying on TaskIT</a></li> -->
          </ul>
        </div>
        <div class="col-xl-3 col-sm-3 mb-4 mb-xl-0 single-footer-widget" style="padding-left: 20px;">
          <h4>Follow Us On</h4>
          <ul class="social-icons">
            <li><a href="#" target="_blank"><i class="fa fa-facebook-square footer_social_icon"></i></a></li>
            <li><a href="#" target="_blank"><i class="fa fa-twitter-square footer_social_icon"></i></a></li>
            <li><a href="#" target="_blank"><i class="fa fa-instagram footer_social_icon"></i></a></li>
            <li><a href="#" target="_blank"><i class="fa fa-linkedin-square footer_social_icon"></i></a></li>
          </ul>
        </div>
      </div>
    </div>
    <div class="container-fluid copyright_area">
      <div class="row">
        <div class="col-lg-12 col-md-12 text-center">
          <p>Copyright &copy; {{currentYear}} All rights reserved </p>
        </div>
      </div>
    </div>
  </section>
  <!--Seller Footer Start-->

  <div class="left-sidebar-pro" *ngIf="group_id == 1 && hideMenu == false">
    <nav id="sidebar" class="">
      <div class="sidebar-header">
        <a href="index.html">
          <img class="main-logo" src="/assets/img/logo.svg" alt="" style="width: 170px;padding:15px 0px" />
        </a>
        <strong>
          <a href="index.html">
            <img src="/assets/img/logo/logosn.svg" alt="" />
          </a>
        </strong>
      </div>
      <div class="left-custom-menu-adp-wrap comment-scrollbar">
        <nav class="sidebar-nav left-sidebar-menu-pro">
          <ul class="metismenu" id="menu1">
            <li class="active">
              <a [routerLink]="'/admin_dashboard'" aria-expanded="false"><span class="material-icons sub-icon-mg"
                  aria-hidden="true">dashboard</span> <span class="mini-click-non">Dashboard</span></a>
            </li>
            <li>
              <a href="javascript:void(0)" aria-expanded="false" (click)="onUserMenuClick('gigs_admin')"><span
                  class="material-icons sub-icon-mg" aria-hidden="true">perm_media</span> <span
                  class="mini-click-non">Gigs</span></a>
            </li>
            <li>
              <a [routerLink]="'/admin_post_a_request'" aria-expanded="false"><span
                  class="material-icons sub-icon-mg">mark_as_unread</span>
                <span class="mini-click-non">Post A Request</span></a>
            </li>
            <li>
              <a class="has-arrow" href="#" aria-expanded="false"><span
                  class="material-icons sub-icon-mg">shopping_cart</span> <span class="mini-click-non">Orders</span></a>
              <ul class="submenu-angle" aria-expanded="false">
                <li><a title="Utility Sync" [routerLink]="'/total_Orders'"><span class="mini-sub-pro">Total
                      Orders</span></a></li>
                <li><a title="Utility Achieve" [routerLink]="'/pending_Orders'"><span class="mini-sub-pro">In-Process
                      Orders</span></a></li>
                <li><a title="Utility Achieve" [routerLink]="'/declined_Orders'"><span class="mini-sub-pro">Delivered
                      Orders</span></a></li>
                <li><a title="Utility Achieve" [routerLink]="'/completed_Orders'"><span class="mini-sub-pro">Completed
                      Orders</span></a></li>
                <li><a title="Utility Achieve" [routerLink]="'/cancelled_Orders'"><span class="mini-sub-pro">Cancelled
                      Orders</span></a></li>
                <li><a title="Utility Achieve" [routerLink]="'/dispute_Orders'"><span class="mini-sub-pro">Dispute
                      Orders</span></a></li>
              </ul>
            </li>
            <li>
              <a [routerLink]="'/refund'" aria-expanded="false"><span class="material-icons sub-icon-mg"
                  aria-hidden="true">price_check</span> <span class="mini-click-non">Refund</span></a>
            </li>
            <li>
              <a [routerLink]="'/users_list'" aria-expanded="false"><span class="material-icons sub-icon-mg"
                  aria-hidden="true">person</span> <span class="mini-click-non">Users</span></a>
            </li>
            <li>
              <a [routerLink]="'/metadata_list'" aria-expanded="false"><span
                  class="material-icons sub-icon-mg">analytics</span>
                <span class="mini-click-non">Metadata</span></a>
            </li>
            <li>
              <a [routerLink]="'/price_scope_list'" aria-expanded="false"><span
                  class="material-icons sub-icon-mg">price_change</span>
                <span class="mini-click-non">Price Scope List</span></a>
            </li>
            <!-- <li>
              <a [routerLink]="'/metadata_add'" aria-expanded="false"><span class="material-icons">analytics</span>
                <span class="mini-click-non">Metadata Add</span></a>
            </li> -->
            <li>
              <a [routerLink]="'/gigs_category'" aria-expanded="false" (click)="onUserMenuClick('gig_category')"><span
                  class="material-icons sub-icon-mg">category</span>
                <span class="mini-click-non">Gig Category</span></a>
            </li>
            <li>
              <a [routerLink]="'/gigs_Subcategory'" aria-expanded="false"><span
                  class="material-icons sub-icon-mg">device_hub</span>
                <span class="mini-click-non">Gig Sub Category</span></a>
            </li>
            <li>
              <a [routerLink]="'/profession'" aria-expanded="false"><span class="material-icons sub-icon-mg"
                  aria-hidden="true">card_travel</span> <span class="mini-click-non">Profession</span></a>
            </li>
            <li>
              <a class="has-arrow" href="#" aria-expanded="false"><span class="material-icons sub-icon-mg">money</span>
                <span class="mini-click-non">Withdrawal</span></a>
              <ul class="submenu-angle" aria-expanded="false">
                <li><a [routerLink]="'/incoming_withdrawal'"><span class="mini-sub-pro">Incoming withdrawal</span></a>
                </li>
                <li><a [routerLink]="'/paid_withdrawal'"><span class="mini-sub-pro">Paid withdrawal</span></a></li>
              </ul>
            </li>
            <li>
              <a [routerLink]="'/reviews'" aria-expanded="false"><span class="material-icons sub-icon-mg"
                  aria-hidden="true">stars</span> <span class="mini-click-non">Reviews</span></a>
            </li>
            <li>
              <a href="Settings.html" aria-expanded="false"><span class="material-icons sub-icon-mg"
                  aria-hidden="true">settings</span> <span class="mini-click-non">Settings</span></a>
            </li>
          </ul>
        </nav>
      </div>
    </nav>
  </div>

  <div [attr.class]="(hideMenu == false ? 'all-content-wrapper' : '')" *ngIf="group_id == 1 && hideMenu == false">
    <!-- <div class="container-fluid" *ngIf="hideMenu == false">
      <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
          <div class="logo-pro">
            <a href="index.html"><img class="main-logo" src="/assets/img/logo/logo.svg" /></a>
          </div>
        </div>
      </div>
    </div> -->
    <div class="header-advance-area" *ngIf="hideMenu == false">
      <div class="header-top-area">
        <div class="container-fluid">
          <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
              <div class="header-top-wraper">
                <div class="row">
                  <div class="col-lg-1 col-md-0 col-sm-1 col-xs-1 admin_no_col">
                    <div class="menu-switcher-pro">
                      <button type="button" id="sidebarCollapse"
                        class="btn bar-button-pro header-drl-controller-btn btn-info navbar-btn">
                        <i class="fa fa-bars"></i>
                      </button>
                    </div>
                  </div>
                  <div class="col-lg-5 col-md-7 col-sm-6 col-xs-6" style="padding:0px">
                    <div class="logo-pro" style="text-align: left;">
                      <a href="index.html"><img class="main-logo hide_on_desktop_view" src="/assets/img/logo.svg"
                          style="width: 100%;padding: 22px 0px;" /></a>
                    </div>
                  </div>
                  <div class="col-lg-6 col-md-5 col-sm-12 col-xs-6 admin_top_menus_padding_0"
                    style="background-color: #fff;">
                    <div class="header-right-info">
                      <ul class="navbar-nav" style="display:flex;flex-direction: inherit;">
                        <li class="nav-item header_dropdown message_dropdown">
                          <a href="#" data-toggle="dropdown" role="button" aria-expanded="false"
                            class="nav-link dropdown-toggle margin_top_heading_icon">
                            <span class="material-icons">money</span>
                            <span class="badge badge-xs badge-danger" id="payment_count">17</span>
                          </a>
                          <ul role="menu" class="dropdown-menu animated slideInDown money_dropdown_admin">
                            <div class="notification-single-top">
                              <h1>Notifications</h1>
                            </div>
                            <ul class="notification-menu">
                              <li>
                                <a href="#">
                                  <div class="notification-icon">
                                    <img
                                      src="https://dreamguys.co.in/thegigs/uploads/gig_images/50_34_gig_1581679992.png"
                                      alt="" style="object-fit: cover;width: 100%;height: 100%;">
                                  </div>
                                  <div class="notification-content">
                                    <span class="notification-date">16 Sept</span>
                                    <h2>brand fr clothing</h2>
                                    <p>New gig added from "Victoria Ledesma"</p>
                                  </div>
                                </a>
                              </li>
                              <li>
                                <a href="#">
                                  <div class="notification-icon">
                                    <img
                                      src="https://dreamguys.co.in/thegigs/uploads/gig_images/50_34_gig_1600461236.png"
                                      style="object-fit: cover;width: 100%;height: 100%;">
                                  </div>
                                  <div class="notification-content">
                                    <span class="notification-date">16 Sept</span>
                                    <h2>branding for clothes</h2>
                                    <p>New gig added from "Victoria Ledesma"</p>
                                  </div>
                                </a>
                              </li>
                              <li>
                                <a href="#">
                                  <div class="notification-icon">
                                    <img
                                      src="https://dreamguys.co.in/thegigs/uploads/gig_images/50_34_gig_1600461236.png"
                                      style="object-fit: cover;width: 100%;height: 100%;">
                                  </div>
                                  <div class="notification-content">
                                    <span class="notification-date">16 Sept</span>
                                    <h2>music</h2>
                                    <p>New gig added from "Music sports Or Information"</p>
                                  </div>
                                </a>
                              </li>

                            </ul>
                            <div class="notification-view">
                              <a href="#">View All Notification</a>
                            </div>
                          </ul>
                        </li>
                        <li class="nav-item header_dropdown message_dropdown">
                          <!-- <a href="#" data-toggle="dropdown" role="button" aria-expanded="false" class="nav-link dropdown-toggle">
                            Messages
                          </a> -->
                          <a href="#" data-toggle="dropdown" role="button" aria-expanded="false"
                            class="nav-link dropdown-toggle margin_top_heading_icon">
                            <span class="material-icons">notifications</span>
                            <span class="badge badge-xs badge-danger" id="notification_count">17</span>
                          </a>
                          <ul role="menu" class="dropdown-menu animated slideInDown Notification_dropdown_admin">
                            <div class="notification-single-top">
                              <h1>Notifications</h1>
                            </div>
                            <ul class="notification-menu">
                              <li>
                                <a href="#">
                                  <div class="notification-icon">
                                    <img
                                      src="https://dreamguys.co.in/thegigs/uploads/gig_images/50_34_gig_1581679992.png"
                                      alt="" style="object-fit: cover;width: 100%;height: 100%;">
                                  </div>
                                  <div class="notification-content">
                                    <span class="notification-date">16 Sept</span>
                                    <h2>brand fr clothing</h2>
                                    <p>New gig added from "Victoria Ledesma"</p>
                                  </div>
                                </a>
                              </li>
                              <li>
                                <a href="#">
                                  <div class="notification-icon">
                                    <img
                                      src="https://dreamguys.co.in/thegigs/uploads/gig_images/50_34_gig_1600461236.png"
                                      style="object-fit: cover;width: 100%;height: 100%;">
                                  </div>
                                  <div class="notification-content">
                                    <span class="notification-date">16 Sept</span>
                                    <h2>branding for clothes</h2>
                                    <p>New gig added from "Victoria Ledesma"</p>
                                  </div>
                                </a>
                              </li>
                              <li>
                                <a href="#">
                                  <div class="notification-icon">
                                    <img
                                      src="https://dreamguys.co.in/thegigs/uploads/gig_images/50_34_gig_1600461236.png"
                                      style="object-fit: cover;width: 100%;height: 100%;">
                                  </div>
                                  <div class="notification-content">
                                    <span class="notification-date">16 Sept</span>
                                    <h2>music</h2>
                                    <p>New gig added from "Music sports Or Information"</p>
                                  </div>
                                </a>
                              </li>
                              <li>
                                <a href="#">
                                  <div class="notification-icon">
                                    <img
                                      src="https://dreamguys.co.in/thegigs/uploads/gig_images/50_34_gig_1600461236.png"
                                      style="object-fit: cover;width: 100%;height: 100%;">
                                  </div>
                                  <div class="notification-content">
                                    <span class="notification-date">16 Sept</span>
                                    <h2>i can fart on you</h2>
                                    <p>New gig added from "Its official"</p>
                                  </div>
                                </a>
                              </li>
                            </ul>
                            <div class="notification-view">
                              <a href="#">View All Notification</a>
                            </div>
                          </ul>
                        </li>
                        <li class="nav-item header_dropdown">
                          <a href="#" data-toggle="dropdown" role="button" aria-expanded="false"
                            class="nav-link dropdown-toggle custom_drop">
                            <figure style="font-size:32px" class="fit-avatar-figure fit-avatar-circle-shape">
                              <figcaption class="">{{userName[0].toUpperCase()}}</figcaption><span
                                class="fit-avatar-image"></span>
                            </figure>
                          </a>
                          <ul role="menu" class="dropdown-menu animated slideInDown">
                            <li><a [routerLink]="'/buyer_profile'" class="dropdown_a_class"><span
                                  class="edu-icon edu-home-admin author-log-ic"></span>My Profile</a>
                            </li>
                            <li><a href="settings.html" class="dropdown_a_class"><span
                                  class="edu-icon edu-settings author-log-ic"></span>Settings</a>
                            </li>
                            <li><a (click)="onUserMenuClick('log_out')" class="dropdown_a_class"
                                style="cursor: pointer;"><span class="edu-icon edu-locked author-log-ic"></span>Log
                                Out</a>
                            </li>
                          </ul>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Mobile Menu start -->
      <div class="mobile-menu-area">
        <div class="container">
          <div class="row">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
              <div class="mobile-menu">
                <nav id="dropdown">
                  <ul class="mobile-menu-nav">
                    <li><a href="javascript:void(0)" [routerLink]="'/admin_dashboard'">Dashboard</a></li>
                    <li><a [routerLink]="'/gig_list_admin'">Gigs</a></li>
                    <li><a href="javascript:void(0)" [routerLink]="'/admin_post_a_request'">Post a Request</a></li>
                    <li><a data-toggle="collapse" data-target="#Charts" href="#">Orders <span
                          class="admin-project-icon edu-icon edu-down-arrow"></span></a>
                      <ul class="collapse dropdown-header-top">
                        <li><a href="javascript:void(0)" [routerLink]="'/total_Orders'">Total Orders</a></li>
                        <li><a href="javascript:void(0)" [routerLink]="'/pending_Orders'">In-Process Orders</a></li>
                        <li><a href="javascript:void(0)" [routerLink]="'/declined_Orders'">Delivered Orders</a></li>
                        <li><a href="javascript:void(0)" [routerLink]="'/completed_Orders'">Completed Orders</a></li>
                        <li><a href="javascript:void(0)" [routerLink]="'/cancelled_Orders'">Cancelled Orders</a></li>
                        <li><a href="javascript:void(0)" [routerLink]="'/dispute_Orders'">Dispute Orders</a></li>
                      </ul>
                    </li>
                    <li><a href="javascript:void(0)" [routerLink]="'/refund'">Refund</a></li>
                    <li><a href="javascript:void(0)" [routerLink]="'/users_list'">Users</a></li>
                    <li><a href="javascript:void(0)" [routerLink]="'/metadata_list'">Metadata</a></li>
                    <li><a href="javascript:void(0)" [routerLink]="'/price_scope_list'">Price Scope List</a></li>
                    <li><a href="javascript:void(0)" [routerLink]="'/gigs_category'">Gig Category</a></li>
                    <li><a href="javascript:void(0)" [routerLink]="'/gigs_Subcategory'">Gig Sub Category</a></li>
                    <li><a href="javascript:void(0)" [routerLink]="'/profession'">Profession</a></li>

                    <li><a data-toggle="collapse" data-target="#demoevent" href="#">Withdrawal <span
                          class="admin-project-icon edu-icon edu-down-arrow"></span></a>
                      <ul id="demoevent" class="collapse dropdown-header-top">
                        <li><a href="javascript:void(0)" [routerLink]="'/incoming_withdrawal'">Incoming Withdrawal</a>
                        </li>
                        <li><a href="javascript:void(0)" [routerLink]="'/paid_withdrawal'">Paid Withdrawal</a>
                        </li>
                      </ul>
                    </li>
                    <li><a href="javascript:void(0)" [routerLink]="'/reviews'">Reviews</a></li>
                    <li><a href="Settings.html">Settings</a></li>

                  </ul>
                </nav>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <router-outlet></router-outlet>

    <div class="footer-copyright-area" style="position: relative;bottom: 0;width: 100%;" *ngIf="hideMenu == false">
      <div class="container-fluid">
        <div class="row">
          <div class="col-lg-12">
            <div class="footer-copy-right">
              <p>Copyright © 2021. All rights reserved.</p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>


  <!-- <app-footer *ngIf="group_id != 1">
  </app-footer> -->

  <!--Seller Footer End-->

  <!-- <div class="left-sidebar-pro" *ngIf="group_id == 1">    
    <app-header_admin></app-header_admin>
    
    <router-outlet></router-outlet>

    <app-footer_admin></app-footer_admin>    
  </div> -->

  <div id="SignIn" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
      <div class="modal-content">
        <form class="login-form" #loginForm="ngForm" (ngSubmit)="login(loginForm.value, loginForm)">
          <div id="SignIn_div">
            <div class="modal-header custom_modal_header">
              <button type="button" class="close" data-dismiss="modal"
                style="color: #393939 !important;">&times;</button>
              <h4 class="modal-title custom_modal_title">Log In to Taskmer</h4>
            </div>
            <div class="modal-body custom_modal_body">
              <div class="row">
                <div class="col-md-12">
                  <a href="#" (click)="socialSignIn('facebook')" class="facebook_div" data-toggle="modal">
                    <i class="fa fa-facebook-square"></i>Continue with Facebook
                  </a>
                </div>
              </div>
              <div class="row">
                <div class="col-md-12">
                  <a href="#" (click)="socialSignIn('google')" class="google_div" data-toggle="modal">
                    <!-- <i class="fa fa-google"></i> -->
                    <img src="assets/img/google_logo.png" style="margin-right: 10%;width: 21px;">Continue with Google
                  </a>
                </div>
              </div>
              <div class="separator">OR</div>

              <div class="row">
                <div class="col-md-12">
                  <div class="form-group">
                    <input type="email" name="email_address" [(ngModel)]="signIN_email" ngModel required
                      class="form-control Login_input_font_size" placeholder="Enter Your Email" #txtEmail="ngModel"
                      id="loginEmailAddress" (blur)="ValidateEmail($event.target.value, 'loginEmailAddress')">
                    <span class="error_msg" *ngIf="checkvalidation && txtEmail.errors?.required">
                      Please enter email address.
                    </span>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-12">
                  <div class="form-group" style="position: relative;">
                    <input type="password" maxlength="12" name="password" ngModel [(ngModel)]="signIN_password" required
                      class="form-control Login_input_font_size" placeholder="Enter Password" id="loginPassword"
                      #txtPassword="ngModel" (blur)="ValidatePassword($event.target.value, 'loginPassword')"
                      (keypress)="$event.keyCode != 32 ? $event:$event.preventDefault()">
                    <i id="pass_status" class="fa fa-eye-slash eye_icon_css_change_and_Reset_password"
                      aria-hidden="true" onClick="showPassword(loginPassword,pass_status)"></i>
                    <span class="error_msg" *ngIf="checkvalidation && txtPassword.errors?.required">
                      Please enter password.
                    </span>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-12">
                  <div class="form-group">
                    <button type="submit" class="btn btn-success btn-sm btn-block continue_btn">Continue</button>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-6">
                  <div style="white-space: nowrap;">
                    <input class="styled-checkbox" id="styled-checkbox-41" type="checkbox" value="value41" checked="">
                    <label for="styled-checkbox-41">Remember me</label>
                  </div>
                </div>
                <div class="col-md-6 text-right">
                  <a href="#" (click)="forgot_password_click()" class="forgot_password" data-toggle="modal">Forgot
                    Password</a>
                </div>
              </div>
            </div>
            <div class="modal-footer custom_modal_footer">
              <div class="row">
                <div class="col-md-12">
                  <p class="sign_in_para">Not a member yet ? <a href="javascript:void(0)" (click)="register_click()"
                      id="Register_btn_click" data-toggle="modal">Register
                      Now</a></p>
                </div>
              </div>
            </div>
          </div>
        </form>
        <div id="Forgot_Password_div" style="display: none;">
          <div class="modal-header custom_modal_header">
            <h4 class="modal-title custom_modal_title">Forgot Your Password ?</h4>
          </div>
          <div class="modal-body custom_modal_body">
            <div class="row">
              <div class="col-md-12 text-center">
                <p style="color: #62646a;font-size: 14px;">Please enter your email address and we'll
                  send you a link to reset your password.</p>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <input type="email" class="form-control" name="emailAddress_forgotPasswd"
                    placeholder="Enter Your Email" [(ngModel)]="emailAddress_forgotPasswd" #txtemailAddress_forgotPasswd
                    id="forgotEmailAddress" (blur)="ValidateEmail($event.target.value, 'forgotEmailAddress')">
                  <span class="error_msg"
                    *ngIf="checkValidation_forgotPasswd && (emailAddress_forgotPasswd==null || emailAddress_forgotPasswd=='' || emailAddress_forgotPasswd==undefined)">
                    Please enter email address.
                  </span>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <a href="javascript:void(0);" class="btn btn-success btn-sm btn-block continue_btn"
                    (click)="getOTP_ForgotPasswd()">Get OTP</a>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer custom_modal_footer">
            <div class="row">
              <div class="col-md-12">
                <p class="sign_in_para"><a href="javascript:void(0);" (click)="signIN_click()" data-toggle="modal"
                    id="Back_to_SignIn">Back to Log In</a></p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div id="Verify_OTP_modal_pop_modal" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
      <div class="modal-content">
        <div class="modal-header custom_modal_header">
          <button type="button" class="close" data-dismiss="modal" style="color: #393939 !important;">&times;</button>
          <h4 class="modal-title custom_modal_title">Verify OTP</h4>
        </div>
        <div class="modal-body custom_modal_body">
          <div class="row">
            <div class="col-md-12 text-center">
              <p style="color: #62646a;font-e: 14px;">Please Enter the OTP to Verify your Account</p>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <div class="form-group">
                <input type="text" class="form-control" maxlength="6" name="otp_forgotPasswdOTP" placeholder="Enter OTP"
                  [(ngModel)]="otp_forgotPasswdOTP" #txtotp_forgotPasswdOTP>
                <span class="error_msg"
                  *ngIf="checkValidation_verifyOTP && (otp_forgotPasswdOTP==null || otp_forgotPasswdOTP==undefined || otp_forgotPasswdOTP=='')">
                  Please enter OTP.
                </span>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <div class="form-group">
                <input type="text" class="form-control" maxlength="12" name="password_forgotPasswdOTP"
                  placeholder="Enter Password" [(ngModel)]="password_forgotPasswdOTP" #txtpassword_forgotPasswdOTP>
                <span class="error_msg"
                  *ngIf="checkValidation_verifyOTP && (password_forgotPasswdOTP==null || password_forgotPasswdOTP==undefined || password_forgotPasswdOTP=='')">
                  Please enter Password.
                </span>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <div class="form-group">
                <a class="btn btn-success btn-sm btn-block continue_btn" id="Register_continue_btn"
                  (click)="verifyOTP_forgotPasswd()">Verify</a>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer custom_modal_footer">
          <div class="row">
            <div class="col-md-12">
              <p class="sign_in_para"><a href="javascript:void(0);" (click)="getOTP_ForgotPasswd()"><i
                    class="fa fa-refresh"></i> Resend OTP</a></p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div id="Register" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
      <div class="modal-content">
        <div class="modal-header custom_modal_header">
          <button type="button" class="close" data-dismiss="modal" style="color: #393939 !important;">&times;</button>
          <h4 class="modal-title custom_modal_title">Register</h4>
        </div>
        <div class="modal-body custom_modal_body">
          <div class="row">
            <div class="col-md-12">
              <a href="#" (click)="socialSignIn('facebook')" class="facebook_div" data-toggle="modal">
                <i class="fa fa-facebook-square"></i>Continue with Facebook
              </a>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <a href="#" (click)="socialSignIn('google')" class="google_div" data-toggle="modal">
                <!-- <i class="fa fa-google"></i> -->
                <img src="assets/img/google_logo.png" style="margin-right: 10%;width: 21px;">Continue with Google
              </a>
            </div>
          </div>
          <div class="separator">OR</div>
          <div class="row">
            <div class="col-md-12">
              <div class="form-group has-success has-feedback">
                <input type="text" class="form-control" name="emailAddressForRegister" placeholder="Enter Your Email"
                  [(ngModel)]="emailAddressForRegister" #txtemailAddressForRegister id="registerEmailAddress"
                  autocomplete="on">
                <!-- (blur)="VerifiedRegisterEmail($event.target.value, 'registerEmailAddress')" 
                  <span class="loader_css form-control-feedback" *ngIf="showSpinner"></span>
                <span class="ti-check-box form-control-feedback" data-toggle="tooltip" data-placement="right"
                  *ngIf="showTick==true" title="Available"></span>
                <span class="ti-close form-control-feedback" data-toggle="tooltip" data-placement="right"
                  *ngIf="showTick==false" title="Available" style="color: red;font-size: 15px;"></span> -->
                <span class="error_msg"
                  *ngIf="checkValidation_continue_register && (emailAddressForRegister=='' || emailAddressForRegister==null || emailAddressForRegister==undefined)">
                  Please enter email address.
                </span>
                <span class="error_msg" *ngIf="showTick">
                  Sorry, this email can't be registered. Let's try another one.
                </span>
              </div>
              <div class="form-group has-error has-feedback">
                <!-- <span class="fa fa-times form-control-feedback" data-toggle="tooltip" data-placement="right" title="Already Exists"></span> -->
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <div class="form-group">
                <button class="btn btn-success btn-sm btn-block continue_btn btn_disabled" data-toggle="modal"
                  id="Register_continue_btn" (click)="VerifiedRegisterEmail()">Continue</button>
              </div>
            </div>
          </div>
          <!-- <p class="joining_para">By joining I agree to receive message from TaskIT.</p> -->
        </div>
        <div class="modal-footer custom_modal_footer">
          <div class="row">
            <div class="col-md-12">
              <p class="sign_in_para">Already a member ? <a href="#" (click)="signIN_click()" id="SignIn_btn_click"
                  data-toggle="modal">Log In</a></p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>


  <div id="after_register_modal_pop_modal" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog">
      <div class="modal-content">
        <div class="modal-header custom_modal_header">
          <button type="button" class="close" data-dismiss="modal" style="color: #393939 !important;">&times;</button>
          <h4 class="modal-title custom_modal_title">Add Your Details</h4>
        </div>
        <div class="modal-body custom_modal_body" style="padding-left: 10px;padding-right: 10px;">

          <div class="row">
            <div class="col-md-12">
              <div class="form-group">
                <input type="text" class="form-control" name="userName_addyourdetails" placeholder="Username"
                  [(ngModel)]="userName_addyourdetails" #txtuserName_addyourdetails maxlength="100"
                  (keypress)="$event.keyCode != 32 ? $event:$event.preventDefault()" onpaste="return false;">
                <span class="error_msg"
                  *ngIf="checkValidation_addyourdetails && (userName_addyourdetails==null || userName_addyourdetails==undefined || userName_addyourdetails=='')">
                  Please enter user name.
                </span>
              </div>
              <div class="form-group" style="position: relative;">
                <input type="password" class="form-control" maxlength="12" name="password_addyourdetails"
                  placeholder="Password" [(ngModel)]="password_addyourdetails" #txtpassword_addyourdetails
                  id="addYourDetails_password" (blur)="ValidatePassword($event.target.value, 'addYourDetails_password')"
                  (keypress)="$event.keyCode != 32 ? $event:$event.preventDefault()">
                <i id="pass_status1" class="fa fa-eye-slash eye_icon_css_change_and_Reset_password" aria-hidden="true"
                  onClick="showPassword(addYourDetails_password,pass_status1)"></i>
                <span class="error_msg"
                  *ngIf="checkValidation_addyourdetails && (password_addyourdetails=='' || password_addyourdetails==null || password_addyourdetails==undefined)">
                  Please enter password.
                </span>
              </div>
              <div class="form-group" style="position: relative;">
                <input type="password" class="form-control" maxlength="12" name="confirmPassword_addyourdetails"
                  placeholder="Confirm Password" [(ngModel)]="confirmPassword_addyourdetails"
                  #txtconfirmPassword_addyourdetails id="addYourDetails_confirmPassword"
                  (blur)="ValidatePassword($event.target.value, 'addYourDetails_confirmPassword')"
                  (keypress)="$event.keyCode != 32 ? $event:$event.preventDefault()">
                <i id="pass_status2" class="fa fa-eye-slash eye_icon_css_change_and_Reset_password" aria-hidden="true"
                  onClick="showPassword(addYourDetails_confirmPassword,pass_status2)"></i>
                <span class="error_msg"
                  *ngIf="checkValidation_addyourdetails && (confirmPassword_addyourdetails==null || confirmPassword_addyourdetails=='' || confirmPassword_addyourdetails==undefined)">
                  Please enter confirm password.
                </span>
                <span class="error_msg"
                  *ngIf="checkValidation_addyourdetails && (password_addyourdetails != confirmPassword_addyourdetails)">
                  &nbsp; Confirm password not getting match.
                </span>
              </div>
              <!-- <div class="form-group">
                <div class="row">
                  <div class="col-md-12">
                    <div style="padding: 5px 10px;background-color: #ffffcf;">
                      <p style="margin-bottom: 0px; font-size: 13px;line-height: 1.4;">Minimum eight characters, at
                        least one letter, one number and special character !</p>
                    </div>
                  </div>
                </div>
              </div> -->
              <div class="form-group">
                <input class="styled-checkbox" id="styled-checkbox-001" type="checkbox" [(ngModel)]="addDetailsCheck"
                  value="value001">
                <label for="styled-checkbox-001">I agree to our <a href="#" data-toggle="modal"
                    data-target="#terms_of_services_modal" id="terms_of_services_modal_id"> Terms of Services</a> and
                  Privacy Policy</label>
              </div>
              <div class="text-center">
                <!-- <a href="javascript:void(0);" class="btn btn-block detail_submit_btn"
                  (click)="onSubmit_addyourdetails()" [disabled]="addDetailsCheck==false">Submit</a> -->
                <button class="btn btn-block detail_submit_btn" (click)="onSubmit_addyourdetails()">Submit</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div id="terms_of_services_modal" class="modal fade" role="dialog">
    <div class="modal-dialog custom_modal_dialog" style="min-width: 700px;">
      <div class="modal-content">
        <div class="modal-header custom_modal_header" style="border-bottom: 1px solid #cccccc">
          <h4 class="modal-title custom_modal_title">Terms of Services</h4>
          <button type="button" class="close" data-dismiss="modal"
            style="position: absolute;color: #a2a2a2 !important;top: 13px;right: 15px;font-size: 20px;">×</button>
        </div>
        <div class="modal-body custom_modal_body" style="height: 500px;overflow: auto;">
          <div class="row">
            <div class="col-md-12">
              <h6>Last Update: September 2020</h6>
              <p>Welcome to Taskmer.com.</p>
              <p>The following terms of service (these <strong>"Terms of Service"</strong>), govern your access to and
                use of the Taskmer website, including any content, functionality and services offered on or through
                www.Taskmer.com (the <strong>"Site") by Taskmer International Ltd. (8 Kaplan St. Tel Aviv 6473409,
                  Israel) and, with respect to payment processing services, by its subsidiaries: Taskmer Inc. (38 Greene
                  St. NY 10013, NY, USA) for payments made from the U.S. or Taskmer Limited (Lemesou 11, 2112 Nicosia,
                  Cyprus) for payments made from anywhere else. Taskmer International Ltd. and its subsidiaries are
                  collectively referred hereto as <strong>"Taskmer"</strong> <strong>"we"</strong> or
                  <strong>"us"</strong>.</strong>
              </p>
              <p>Please read the Terms of Service carefully before you start to use the Site. <strong>By using the Site,
                  opening an account or by clicking to accept or agree to the Terms of Service when this option is made
                  available to you, you accept and agree, on behalf of yourself or on behalf of your employer or any
                  other entity (if applicable), to be bound and abide by these Terms of Service, Taskmer Payment Terms,
                  found <a href="/content/payments-terms-and-conditions" target="_blank">here</a> (“Payment Terms”), and
                  our Privacy Policy, found <a href="/privacy-policy">here</a>, each of which is incorporated herein by
                  reference.</strong> If you do not want to agree to these Terms of Service or the Privacy Policy, you
                must not access or use the Site. For more detailed policies surrounding the activity and usage on the
                Site, please access the designated articles herein.</p>
              <p>This Site is offered and available to users who are 13 years of age or older. If you are under 13 you
                may not use this Site or the Taskmer services. By using this Site, you represent and warrant that you
                are
                of legal age to form a binding contract and meet all of the foregoing eligibility requirements. If you
                do not meet all of these requirements, you must not access or use the Site.</p>
              <p>Our Customer Support team is available 24/7 if you have any questions regarding the Site or Terms of
                Service. Contacting our Customer Support team can be performed by submitting a request <a
                  href="http://support.taskit.com" target="_blank">here</a>.</p>
              <p>The original language of these Terms of Service, as well as all other texts throughout the Site, is
                English. Taskmer makes available this translation for convenience only. In case of conflicts between the
                original English version and any translation, the English version shall prevail.</p>

              <h3>Key Terms</h3>
              <p><strong>Buyers</strong> are users who purchase services on Taskmer.</p>
              <p><strong>Business Account</strong> is a collaborative Buyer account, created via Taskmer Business, as
                detailed on Taskmer Business Terms of Service (available <a href="/business/terms_of_service">here</a>).
              </p>
              <p><strong>Business Account Team Member or Team Member</strong> is any user that is invited or uses a
                Business Account.</p>
              <p><strong>Custom Offers</strong> are exclusive proposals that a Seller can create in response to specific
                requirements of a Buyer.</p>
              <p><strong>Custom Orders</strong> are requests made by a Buyer to receive a Custom Offer from a Seller.
              </p>
              <p><strong>Gig® Extras</strong> are additional services offered on top of the Seller’s Gig for an
                additional price defined by the Seller.</p>
              <p><strong>Gig® Packages</strong> allow Sellers to offer services in different formats and prices.
                Packages can include upgrades, which lets Sellers price their service for a basic price of over
                $5.&#8203;</p>
              <p><strong>Gig® Page</strong> is where the Seller can describe their Gig and the Gig’s terms, and the
                Buyer can purchase the Gig and create an order.</p>
              <p><strong>Gig® / Gigs®</strong> are services offered on Taskmer.</p>
              <p><strong>Logo Design</strong> is an original design for a logo uploaded by a Seller through the Taskmer
                Logo Maker.</p>
              <p><strong>Logo Maker</strong> is the automated logo design tool offered by Taskmer to users as further
                explained in these Terms of Service.</p>
              <p><strong>Order Page</strong> is where Buyers and Sellers communicate with each other in connection with
                an ordered Gig.</p>
              <p><strong>Orders</strong> are the formal agreement between a Buyer and Seller after a purchase was made
                from the Seller’s Gig Page.</p>
              <p><strong>Sellers</strong> are users who offer and perform services through Gigs or through the Logo
                Maker on Taskmer.</p>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</ng-container>